Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# SocialFunction Class Reference

A class representing a social function in a potential field. More...

`#include <PotentialFunctions.h>`

Inheritance diagram for SocialFunction:

[legend]
Collaboration diagram for SocialFunction:

[legend]
List of all members.

## Public Member Functions
| SocialFunction (double repC, double repOm, double attC, double attOm, double epsilon, double k)
| Constructor.
virtual double | computeValue (double x, bool smooth=true)
| Computes the value of the function for a given x.
double | computeDerivativeValue (double x, bool smooth=false)
| Computes the value of the derivative of the function for a given x.
virtual PotentialfieldFunction * | clone ()
| Clones a function object.
## Private Attributes
double | repC
| A repulsive constant.
double | repOm
| A repulsive quotient.
double | attC
| An attractive constant.
double | attOm
| An attractive quotient.
double | epsilon
| The minimum possible x.
double | k
| A constant value for value computation.

## Detailed Description

A class representing a social function in a potential field.

Definition at line 406 of file PotentialFunctions.h.

## Constructor & Destructor Documentation

SocialFunction::SocialFunction | ( | double | repC,
|  | double | repOm,
|  | double | attC,
|  | double | attOm,
|  | double | epsilon,
|  | double | k
| ) | `[inline]`

  | Constructor. Parameters:
  repC | A repulsive constant
  repOm | A repulsive quotient
  attC | An attractive constant
  attOm | An attractive quotient
  epsilon | The minimum possible x
  k | A constant value for value computation
Definition at line 418 of file PotentialFunctions.h. Referenced by clone().

## Member Function Documentation

virtual double SocialFunction::computeValue | ( | double | x,
|  | bool | smooth = true
| ) | `[inline, virtual]`

  | Computes the value of the function for a given x. Parameters:
  x | The distance for which to compute the value of the function
  smooth | flag, not used here
Returns: The value of the function Reimplemented from PotentialfieldFunction. Definition at line 434 of file PotentialFunctions.h. References attC, attOm, epsilon, k, repC, and repOm.

double SocialFunction::computeDerivativeValue | ( | double | x,
|  | bool | smooth = false
| ) | `[inline, virtual]`

  | Computes the value of the derivative of the function for a given x. Parameters:
  x | The distance for which to compute the value of the function
  smooth | flag, not used here
Returns: The value of the function Reimplemented from PotentialfieldFunction. Definition at line 466 of file PotentialFunctions.h. References attC, attOm, epsilon, repC, and repOm.

virtual PotentialfieldFunction* SocialFunction::clone | ( |  | ) | `[inline, virtual]`

| Clones a function object. Returns: A pointer to a copy of the object Implements PotentialfieldFunction. Definition at line 478 of file PotentialFunctions.h. References attC, attOm, epsilon, PotentialfieldFunction::getStandardParameters(), k, repC, repOm, and SocialFunction().

Here is the call graph for this function:

## Member Data Documentation

double SocialFunction::repC`[private]`

| A repulsive constant. Definition at line 487 of file PotentialFunctions.h. Referenced by clone(), computeDerivativeValue(), and computeValue().

double SocialFunction::repOm`[private]`

| A repulsive quotient. Definition at line 489 of file PotentialFunctions.h. Referenced by clone(), computeDerivativeValue(), and computeValue().

double SocialFunction::attC`[private]`

| An attractive constant. Definition at line 491 of file PotentialFunctions.h. Referenced by clone(), computeDerivativeValue(), and computeValue().

double SocialFunction::attOm`[private]`

| An attractive quotient. Definition at line 493 of file PotentialFunctions.h. Referenced by clone(), computeDerivativeValue(), and computeValue().

double SocialFunction::epsilon`[private]`

| The minimum possible x. Definition at line 495 of file PotentialFunctions.h. Referenced by clone(), computeDerivativeValue(), and computeValue().

double SocialFunction::k`[private]`

| A constant value for value computation. Definition at line 497 of file PotentialFunctions.h. Referenced by clone(), and computeValue().

The documentation for this class was generated from the following file:

- Tools/PotentialFields/PotentialFunctions.h